## org.red5.compatibility.flex.messaging.messages
Class RemotingMessage

    java.lang.Object
      org.red5.compatibility.flex.messaging.messages.AbstractMessage
          org.red5.compatibility.flex.messaging.messages.AsyncMessage
              org.red5.compatibility.flex.messaging.messages.RemotingMessage

All Implemented Interfaces:
  Serializable, Message

    public class RemotingMessage

extends AsyncMessage

Flex compatibility message that is sent by the `mx:RemoteObject` mxml tag.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  osflash documentation (external), Serialized Form

Field Summary
`String` `operation` Method to execute.
`String` `source` Value of the `source` attribute of mx:RemoteObject that sent the message.

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`CORRELATION_ID_BYTES_FLAG, CORRELATION_ID_FLAG, correlationId, correlationIdBytes`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message
`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

Constructor Summary
`RemotingMessage()`

Method Summary
`protected void` `addParameters(StringBuilder result)` Add message properties to string.

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`getCorrelationId, readExternal, setCorrelationId, writeExternal`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### operation

    public String operation

  Method to execute.

### source

    public String source

  Value of the `source` attribute of mx:RemoteObject that sent the message.

Constructor Detail

### RemotingMessage

    public RemotingMessage()

Method Detail

### addParameters

    protected void addParameters(StringBuilder result)

  Add message properties to string.

  Overrides:
    `addParameters` in class `AsyncMessage`
  Parameters:
    `result` - `StringBuilder` to add properties to

Copyright © 2006-2010 The Red5 Project